function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
import React from 'react';

// 内库使用-start
import LocaleUtil from "./../../../utils/LocaleUtil";
import Layout from "./../../Layout";
import FooterBar from "./../../FooterBar";
// 内库使用-end

/* 测试使用-start
import { LocaleUtil, Layout, FooterBar } from 'seedsui-react'
测试使用-start */

// 侧边查询底部按钮
export default function FilterFooter(_ref) {
  var onVisibleChange = _ref.onVisibleChange,
    externalButtons = _ref.buttons,
    onConfig = _ref.onConfig,
    onReset = _ref.onReset,
    onOk = _ref.onOk;
  var buttons = [];
  if (onConfig) {
    buttons.push({
      type: 'tab',
      id: 'config',
      icon: 'seeds-icon-config',
      name: LocaleUtil.locale('设置', 'SeedsUI_config'),
      onClick: function onClick() {
        onConfig({
          close: function close() {
            return onVisibleChange && onVisibleChange(false);
          }
        });
      }
    });
  }
  if (onReset) {
    buttons.push({
      id: 'reset',
      name: LocaleUtil.locale('重置', 'SeedsUI_reset'),
      onClick: function onClick() {
        onReset({
          close: function close() {
            return onVisibleChange && onVisibleChange(false);
          }
        });
      }
    });
  }
  if (onOk) {
    buttons.push({
      id: 'ok',
      className: 'primary',
      name: LocaleUtil.locale('确定', 'SeedsUI_ok'),
      onClick: function onClick() {
        onOk({
          close: function close() {
            return onVisibleChange && onVisibleChange(false);
          }
        });
      }
    });
  }
  return /*#__PURE__*/React.createElement(Layout.Footer, null, /*#__PURE__*/React.createElement(FooterBar, {
    buttons: [].concat(_toConsumableArray(buttons || []), _toConsumableArray((externalButtons || []).map(function (button) {
      return _objectSpread(_objectSpread({}, button), {}, {
        onClick: function onClick() {
          (button === null || button === void 0 ? void 0 : button.onClick) && button.onClick({
            close: function close() {
              return onVisibleChange && onVisibleChange(false);
            }
          });
        }
      });
    })))
  }));
}